Subject: bug#70415: 30.0.50; [Cygwin] `lock-file' creates a symlink with funny name

From: Ken Brown <[email-masked]>
Date: Sat, 4 May 2024 18:01:25 -0400

On 5/4/2024 1:46 PM, Ken Brown wrote:
> On 5/4/2024 1:26 PM, Eli Zaretskii wrote:
>> Would you mind explaining for posterity (and for my personal
>> curiosity) how what Bruno changed affects the deletion of the lock
>> file?  Is that because the ":-NNNN" suffix had the dash (because the
>> system's page file was deemed to eb a directory)?  If so, how did the
>> presence of the dash cause the failure to delete the file?
> 
> Not only was the system's page file deemed to be a directory, but it was 
> deemed to have a negative modification time.  I think that's where the 
> dash came from.  But I don't know why that prevented the lock file from 
> being deleted.

I found the answer: filelock.c:current_lock_owner returns an error if 
the colon exists and is not followed by a digit.  See filelock.c:421.

Ken